libdevel-hide-perl_0.0009-1_all.deb


Advertisement

Description

libdevel-hide-perl - module for forcing the unavailability of specified Perl modules (for testing)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libdevel-hide-perl
Package version 0.0009
Package release 1
Package architecture all
Package type deb
Installed size 55 B
Download size 10.87 KB
Official Mirror ftp.br.debian.org
Given a list of Perl modules/filenames, Devel::Hide makes require and use
statements fail (no matter the specified files/modules are installed or not).
They die with a message like:
Can't locate Module/ToHide.pm (hidden)
The original intent of Devel::Hide is to allow Perl developers to test for
alternative behavior when some modules are not available. In a Perl
installation, where many modules are already installed, there is a chance to
screw things up because you take for granted things that may not be there in
other machines.

Alternatives

Package Version Architecture Repository
libdevel-hide-perl_0.0009-1_all.deb 0.0009 all Debian Main
libdevel-hide-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libdevel-hide-perl_0.0009-1_all.deb
Source Package libdevel-hide-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdevel-hide-perl deb package:
    # sudo apt-get install libdevel-hide-perl

Files

Path
/usr/share/doc/libdevel-hide-perl/changelog.Debian.gz
/usr/share/doc/libdevel-hide-perl/changelog.gz
/usr/share/doc/libdevel-hide-perl/copyright
/usr/share/man/man3/Devel::Hide.3pm.gz
/usr/share/perl5/Devel/Hide.pm

Changelog

2013-03-07 - Xavier Guimard <x.guimard@free.fr>
libdevel-hide-perl (0.0009-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Correct Vcs-Browser and Vcs-Git URLs.
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Xavier Guimard ]
* Imported Upstream version 0.0009
* Bump debian/copyright format to 1.0
* Bump Standards-Version to 3.9.4
2011-08-04 - Julien Vaubourg <julien@vaubourg.com>
libdevel-hide-perl (0.0008-1) unstable; urgency=low
* Initial Release. (Closes: #636646)

See Also

Package Description
libdevel-leak-perl_0.03-3+b1_amd64.deb utility for looking for perl objects that are not reclaimed
libdevel-lexalias-perl_0.05-1+b2_amd64.deb Perl module that provides alias lexical variables
libdevel-nytprof-perl_5.06+dfsg-2+b1_amd64.deb Perl statement and subroutine code profiler
libdevel-overrideglobalrequire-perl_0.001-1_all.deb module to safely override CORE::GLOBAL::require
libdevel-partialdump-perl_0.17-1_all.deb Perl module to dump subroutine parameters concisely
libdevel-patchperl-perl_1.28-1_all.deb Perl module to patch perl source à la Devel::PPPort's buildperl.pl
libdevel-pragma-perl_0.60-1+b1_amd64.deb helper functions for developers of lexical pragmas
libdevel-profile-perl_1.05-2_all.deb a Perl code profiler
libdevel-ptkdb-perl_1.1091-2_all.deb Perl debugger using a Tk GUI
libdevel-refactor-perl_0.05-1_all.deb Perl module for code refactoring
libdevel-refcount-perl_0.10-1+b2_amd64.deb Perl module to obtain the reference count of a variable
libdevel-repl-perl_1.003026-1_all.deb module for building a modern Perl interactive shell
libdevel-simpletrace-perl_0.08-1_all.deb module to see where your code warns and dies using stack traces
libdevel-size-perl_0.79-2+b1_amd64.deb Perl extension for finding the memory usage of Perl variables
libdevel-stacktrace-ashtml-perl_0.14-1_all.deb module to display a stack trace in HTML
Advertisement
Advertisement